import request from "@/utils/request";
// 查询栏目列表
export function list() {
  return request({
    url: "/oa/column/list",
    method: "get",
  });
}
// 根据id查询文章详情
export function column(id) {
  return request({
    url: "/oa/column/" + id,
    method: "get",
  });
}
//查首页文章id
export function homeList() {
  return request({
    url: "/oa/column/home/list",
    method: "get",
  });
}
//根据编码查文章
export function selectArticleByColumnCode(query) {
  return request({
    url: "/oa/article/selectArticleByColumnCode",
    method: "get",
    params: query,
  });
}
//轮播图
export function articleList(query) {
  return request({
    url: "/oa/article/listHome",
    method: "get",
    params: query,
  });
}
//查询所有模块
export function moduleList(query) {
  return request({
    url: "/system/module/home/list",
    method: "get",
    params: query,
  });
}
//模块详情
export function moduleCode(id) {
  return request({
    url: "/system/module/code/" + id,
    method: "get",
  });
}
